DelegationTokenIdentifier (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.token.delegation.web, class: DelegationTokenIdentifier

Package org.apache.hadoop.security.token.delegation.web

# Class DelegationTokenIdentifier

java.lang.Object
org.apache.hadoop.security.token.TokenIdentifier
org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
org.apache.hadoop.security.token.delegation.web.DelegationTokenIdentifier

All Implemented Interfaces:
  `Writable`

Direct Known Subclasses:
  `KMSDelegationToken.KMSDelegationTokenIdentifier`

@Private @Evolving public class DelegationTokenIdentifier extends AbstractDelegationTokenIdentifier
Concrete delegation token identifier used by `DelegationTokenManager`, `KerberosDelegationTokenAuthenticationHandler` and `DelegationTokenAuthenticationFilter`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegationTokenIdentifier(Text kind)`
  `DelegationTokenIdentifier(Text kind, Text owner, Text renewer, Text realUser)`
  Create a new delegation token identifier

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Text`
  `getKind()`
  Return the delegation token kind

  ### Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

  `equals, getIssueDate, getMasterKeyId, getMaxDate, getOwner, getRealUser, getRenewer, getSequenceNumber, getUser, hashCode, isEqual, readFields, setIssueDate, setMasterKeyId, setMaxDate, setOwner, setRealUser, setRenewer, setSequenceNumber, toString, toStringStable, write`

  ### Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier

  `getBytes, getTrackingId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DelegationTokenIdentifier

    public DelegationTokenIdentifier(Text kind)

  - ### DelegationTokenIdentifier

    public DelegationTokenIdentifier(Text kind, Text owner, Text renewer, Text realUser)
    Create a new delegation token identifier
    Parameters:
      `kind` - token kind
      `owner` - the effective username of the token owner
      `renewer` - the username of the renewer
      `realUser` - the real username of the token owner

- ## Method Details

  - ### getKind

    public Text getKind()
    Return the delegation token kind
    Specified by:
      `getKind` in class `AbstractDelegationTokenIdentifier`
    Returns:
      returns the delegation token kind